Bug 1234727 - Modem Connection not established
Summary: Modem Connection not established
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 06:57 UTC by UweR
Modified: 2016-07-19 19:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:12:58 UTC
Type: Bug


Attachments (Terms of Use)

Description UweR 2015-06-23 06:57:06 UTC
Description of problem:

after upgrading to FC22 I can not establish a internet connection via my usb modem HUAWEI 3131.



How reproducible:


Steps to Reproduce:

1. The modem is detected correctly
2. The PIN code is accepted
3. Connecting via NetworkManager (KDE) leads to the error message: "Modem could not be initialized"



Actual results:

No Connection established.



Expected results:

Connection established.



Additional info:

Here is the whole message log:


Jun 23 08:18:00 localhost usb_modeswitch: switch device 12d1:14fe on 001/005
Jun 23 08:18:00 localhost kernel: usb 1-1: USB disconnect, device number 5
Jun 23 08:18:00 localhost systemd-udevd: error opening USB device 'descriptors' file
Jun 23 08:18:05 localhost kernel: usb 1-1: new high-speed USB device number 6 using xhci_hcd
Jun 23 08:18:05 localhost kernel: usb 1-1: New USB device found, idVendor=12d1, idProduct=1506
Jun 23 08:18:05 localhost kernel: usb 1-1: New USB device strings: Mfr=3, Product=2, SerialNumber=0
Jun 23 08:18:05 localhost kernel: usb 1-1: Product: HUAWEI Mobile
Jun 23 08:18:05 localhost kernel: usb 1-1: Manufacturer: HUAWEI
Jun 23 08:18:05 localhost kernel: usb-storage 1-1:1.4: USB Mass Storage device detected
Jun 23 08:18:05 localhost kernel: scsi host5: usb-storage 1-1:1.4
Jun 23 08:18:05 localhost kernel: usb-storage 1-1:1.5: USB Mass Storage device detected
Jun 23 08:18:05 localhost kernel: scsi host6: usb-storage 1-1:1.5
Jun 23 08:18:05 localhost mtp-probe: checking bus 1, device 6: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-1"
Jun 23 08:18:05 localhost mtp-probe: bus: 1, device: 6 was not an MTP device
Jun 23 08:18:05 localhost kernel: usbcore: registered new interface driver cdc_ncm
Jun 23 08:18:05 localhost kernel: usbcore: registered new interface driver cdc_wdm
Jun 23 08:18:05 localhost kernel: huawei_cdc_ncm 1-1:1.1: MAC-Address: xx:xx:xx:xx:xx:xx
Jun 23 08:18:05 localhost kernel: huawei_cdc_ncm 1-1:1.1: setting rx_max = 16384
Jun 23 08:18:05 localhost kernel: huawei_cdc_ncm 1-1:1.1: setting tx_max = 16384
Jun 23 08:18:05 localhost kernel: huawei_cdc_ncm 1-1:1.1: cdc-wdm0: USB WDM device
Jun 23 08:18:05 localhost kernel: huawei_cdc_ncm 1-1:1.1 wwan0: register 'huawei_cdc_ncm' at usb-0000:00:14.0-1, Huawei CDC NCM device, xx:xx:xx:xx:xx:xx
Jun 23 08:18:05 localhost kernel: usbcore: registered new interface driver huawei_cdc_ncm
Jun 23 08:18:05 localhost kernel: usbcore: registered new inthttp://forums.fedoraforum.org/archive/index.php/t-291884.htmlerface driver option
Jun 23 08:18:05 localhost kernel: usbserial: USB Serial support registered for GSM modem (1-port)
Jun 23 08:18:05 localhost kernel: option 1-1:1.0: GSM modem (1-port) converter detected
Jun 23 08:18:05 localhost kernel: usb 1-1: GSM modem (1-port) converter now attached to ttyUSB0
Jun 23 08:18:05 localhost kernel: option 1-1:1.2: GSM modem (1-port) converter detected
Jun 23 08:18:05 localhost kernel: usb 1-1: GSM modem (1-port) converter now attached to ttyUSB1
Jun 23 08:18:05 localhost kernel: option 1-1:1.3: GSM modem (1-port) converter detected
Jun 23 08:18:05 localhost kernel: usb 1-1: GSM modem (1-port) converter now attached to ttyUSB2
Jun 23 08:18:05 localhost kernel: huawei_cdc_ncm 1-1:1.1 wwp0s20u1i1: renamed from wwan0
Jun 23 08:18:05 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:05 localhost ModemManager[1341]: <warn>  (ttyUSB1): port attributes not fully set
Jun 23 08:18:06 localhost ModemManager[1341]: <warn>  (ttyUSB0): port attributes not fully set
Jun 23 08:18:08 localhost kernel: scsi 5:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
Jun 23 08:18:08 localhost kernel: scsi 6:0:0:0: Direct-Access     HUAWEI   SD Storage       2.31 PQ: 0 ANSI: 2
Jun 23 08:18:08 localhost kernel: sr 5:0:0:0: [sr0] scsi-1 drive
Jun 23 08:18:08 localhost kernel: cdrom: Uniform CD-ROM driver Revision: 3.20
Jun 23 08:18:08 localhost kernel: sr 5:0:0:0: Attached scsi generic sg1 type 5
Jun 23 08:18:08 localhost kernel: sd 6:0:0:0: Attached scsi generic sg2 type 0
Jun 23 08:18:08 localhost kernel: sd 6:0:0:0: [sdb] Attached SCSI removable disk
Jun 23 08:18:08 localhost systemd-udevd: error: /dev/sdb: No medium found
Jun 23 08:18:08 localhost systemd-udevd: error: /dev/sdb: No medium found
Jun 23 08:18:09 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:09 localhost ModemManager[1341]: <warn>  (ttyUSB1): port attributes not fully set
Jun 23 08:18:25 localhost ModemManager[1341]: <info>  Creating modem with plugin 'Huawei' and '5' ports
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  Could not grab port (tty/ttyUSB1): 'Cannot add port 'tty/ttyUSB1', unhandled serial type'
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:25 localhost ModemManager[1341]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:14.0/usb1/1-1' successfully created
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  couldn't load Supported IP families: 'SIM PIN required'
Jun 23 08:18:25 localhost ModemManager[1341]: <info>  Modem: state changed (unknown -> locked)
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  couldn't load IMSI: 'SIM PIN required'
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  couldn't load Operator identifier: 'SIM PIN required'
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  couldn't load Operator name: 'SIM PIN required'
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  couldn't load list of Own Numbers: 'SIM PIN required'
Jun 23 08:18:25 localhost NetworkManager[1443]: <warn>  (ttyUSB2): cannot enable/disable modem: locked
Jun 23 08:18:25 localhost NetworkManager[1443]: <info>  (ttyUSB2): new Broadband device (driver: 'huawei_cdc_ncm, option1' ifindex: 0)
Jun 23 08:18:25 localhost NetworkManager[1443]: <info>  (ttyUSB2): exported as /org/freedesktop/NetworkManager/Devices/5
Jun 23 08:18:25 localhost NetworkManager[1443]: <info>  (ttyUSB2): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Jun 23 08:18:25 localhost NetworkManager[1443]: <info>  (ttyUSB2): preparing device
Jun 23 08:18:25 localhost NetworkManager[1443]: <info>  (ttyUSB2): modem state 'locked'
Jun 23 08:18:25 localhost NetworkManager[1443]: <info>  (ttyUhttp://forums.fedoraforum.org/archive/index.php/t-291884.htmlSB2): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Jun 23 08:18:29 localhost NetworkManager[1443]: <info>  Connectivity check for uri 'https://fedoraproject.org/static/hotspot.txt' failed with 'Error resolving 'fedoraproject.org': No address associated with hostname'.
Jun 23 08:18:29 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:30 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:33 localhost ModemManager[1341]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (locked -> initializing)
Jun 23 08:18:33 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:33 localhost ModemManager[1341]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (initializing -> disabled)
Jun 23 08:18:33 localhost NetworkManager[1443]: <info>  (ttyUSB2): modem state changed, 'locked' --> 'disabled' (reason: unknown)
Jun 23 08:18:33 localhost NetworkManager[1443]: <info>  (ttyUSB2): modem state changed, 'disabled' --> 'enabling' (reason: user preference)
Jun 23 08:18:33 localhost ModemManager[1341]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
Jun 23 08:18:33 localhost ModemManager[1341]: <warn>  (ttyUSB2): port attributes not fully set
Jun 23 08:18:33 localhost ModemManager[1341]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (unknown -> registering)
Jun 23 08:18:33 localhost ModemManager[1341]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (registering -> home)
Jun 23 08:18:34 localhost ModemManager[1341]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> registered)
Jun 23 08:18:34 localhost NetworkManager[1443]: <info>  (ttyUSB2): modem state changed, 'enabling' --> 'registered' (reason: user-requested)
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): Activation: starting connection 'my Mobile Broadband 1'
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): Activation: Stage 1 of 5 (Device Prepare) scheduled...
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): Activation: Stage 1 of 5 (Device Prepare) started...
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  NetworkManager state is now CONNECTING
Jun 23 08:18:46 localhost NetworkManager[1443]: <warn>  (ttyUSB2): Failed to connect 'my Mobile Broadband 1': Connection requested both IPv4 and IPv6 but dual-stack addressing is unsupported by the modem.
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): device state change: prepare -> failed (reason 'modem-init-failed') [40 120 28]
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  NetworkManager state is now CONNECTED_LOCAL
Jun 23 08:18:46 localhost NetworkManager[1443]: <warn>  (ttyUSB2): Activation: failed for connection 'my Mobile Broadband 1'
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): Activation: Stage 1 of 5 (Device Prepare) complete.
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): deactivating device (reason 'none') [0]
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  Connectivity check for uri 'https://fedoraproject.org/static/hotspot.txt' failed with 'Error resolving 'fedoraproject.org': No address associated with hostname'.
Jun 23 08:18:46 localhost org.freedesktop.Telepathy.AccountManager: (process:2236): libnm-glib-WARNING **: async_got_type: could not read properties for /org/freedesktop/NetworkManager/ActiveConnection/3: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
Jun 23 08:18:46 localhost org.freedesktop.Telepathy.AccountManager: (process:2236): libnm-glib-WARNING **: async_got_type: could not read properties for /org/freedesktop/NetworkManager/ActiveConnection/3: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
Jun 23 08:18:46 localhost org.freedesktop.Telepathy.AccountManager: (process:2236): libnm-glib-WARNING **: async_got_type: could not read properties for /org/freedesktop/NetworkManager/ActiveConnection/3: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
Jun 23 08:18:46 localhost firewalld: 2015-06-23 08:18:46 ERROR: UNKNOWN_INTERFACE: 'ttyUSB2' is not in any zone


Help is appreciated. Thx.

Comment 1 Jirka Klimes 2015-06-25 10:57:25 UTC
Jun 23 08:18:25 localhost ModemManager[1341]: <warn>  couldn't load Supported IP families: 'SIM PIN required'
Jun 23 08:18:25 localhost ModemManager[1341]: <info>  Modem: state changed (unknown -> locked)

The SIM is protected by a PIN. You should provide a PIN to unlock it.

Did it worked before in F21? Can you try with nm-applet/nm-connection-editor instead of KDE programs?

Comment 2 UweR 2015-06-25 18:08:14 UTC
First, thx for your reply. 

- SIM/PIN: I unlocked the modem with the correct code. This works perfect.
- F21: I upgraded using fedup from f20->f21 and immediately from f21->f22 without using f21.
- nm-applet has the same behavior as KDE

Now after some tries, I think the problem is a combination of the NetworkManager and the firewall. 
If I try to connect as described in the bug, the firewall shows no active zone  (firewall-cmd --get-active-zones)

But if I restart the NetworkManager before establishing the connection (service NetworkManager restart, and btw the NetworkManager has already been running since the boot time) everything works fine. A connection is established and an active zone is shown in the firewall.

However, restarting the NetworkManager always couldn't be the solution?

Comment 3 Jirka Klimes 2015-06-26 12:15:43 UTC
(In reply to UweR from comment #2)
> - SIM/PIN: I unlocked the modem with the correct code. This works perfect.

Oh, sorry about that. I haven't read the logs carefully to see that the modem was unlocked later.

But what causes the connection to fail is this:
Jun 23 08:18:46 localhost NetworkManager[1443]: <warn>  (ttyUSB2): Failed to connect 'my Mobile Broadband 1': Connection requested both IPv4 and IPv6 but dual-stack addressing is unsupported by the modem.
Jun 23 08:18:46 localhost NetworkManager[1443]: <info>  (ttyUSB2): device state change: prepare -> failed (reason 'modem-init-failed') [40 120 28]

The modem doesn't support dual-stack IPv4/IPv6. There was a change in handling that in NetworkManager, see upstream bug [1] and the commit [2].
It will fail when you have both IPv4 and IPv6 method as auto in the connection and ipv6.may-fail is no.

So the fix is to set IPv6 method to ignore in the connection (or set ipv6.may-fail to yes, which should be dafault).
Can you paste output of
nmcli con show 'my Mobile Broadband 1'

[1] https://bugzilla.gnome.org/show_bug.cgi?id=733696
[2] http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=85d9132464b76b75c0145376458c35f16472dc32

Comment 4 UweR 2015-06-30 04:18:08 UTC
I configured the IPv6 issue using nm-connection-editor (btw there is no feature in KDE to ignore IPv6). But there were no result.
Still the same behavior: Connect to the modem, resulting in an error. Connect again and this second connection is successful.

Here is the output of nmcli con show 'my Mobile Broadband 1'

 
[zzz@localhost ~]$ nmcli con show 'my Mobile Broadband 1'

connection.id:                          my Mobile Broadband 1
connection.uuid:                        xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx
connection.interface-name:              --
connection.type:                        gsm
connection.autoconnect:                 no
connection.autoconnect-priority:        0
connection.timestamp:                   1435354615
connection.read-only:                   no
connection.permissions:                 
connection.zone:                        FedoraWorkstation
connection.master:                      --
connection.slave-type:                  --
connection.secondaries:                 
connection.gateway-ping-timeout:        0
ipv4.method:                            auto
ipv4.dns:                               
ipv4.dns-search:                        
ipv4.addresses:                         
ipv4.gateway:                           --
ipv4.routes:                            
ipv4.route-metric:                      -1
ipv4.ignore-auto-routes:                no
ipv4.ignore-auto-dns:                   no
ipv4.dhcp-client-id:                    --
ipv4.dhcp-send-hostname:                yes
ipv4.dhcp-hostname:                     --
ipv4.never-default:                     no
ipv4.may-fail:                          yes
ipv6.method:                            ignore
ipv6.dns:                               
ipv6.dns-search:                        
ipv6.addresses:                         
ipv6.gateway:                           --
ipv6.routes:                            
ipv6.route-metric:                      -1
ipv6.ignore-auto-routes:                no
ipv6.ignore-auto-dns:                   no
ipv6.never-default:                     no
ipv6.may-fail:                          yes
ipv6.ip6-privacy:                       0 (disabled)                                                                                                                                
ipv6.dhcp-send-hostname:                yes                                                                                                                                         
ipv6.dhcp-hostname:                     --                                                                                                                                          
gsm.number:                             *99#                                                                                                                                        
gsm.username:                           --                                                                                                                                          
gsm.password:                           <hidden>                                                                                                                                    
gsm.password-flags:                     4 (not required)                                                                                                                            
gsm.apn:                                web.vodafone.de                                                                                                                             
gsm.network-id:                         --                                                                                                                                          
gsm.pin:                                <hidden>
gsm.pin-flags:                          4 (not required)
gsm.home-only:                          no

Comment 5 Fedora Admin XMLRPC Client 2015-08-18 15:00:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 GroovieMan 2016-01-12 21:16:57 UTC
There is a similar issue in Fedora F23
bug 1297556: Modem Connection not established (GSM/Broadband)

Comment 7 Marco Gamberoni 2016-01-16 18:57:48 UTC
To me, not on Fedora but on Kubuntu 15.10, the same steps above give the same result:
   gen 16 18:38:47 p3 NetworkManager[653]: <warn>  (ttyUSB2): Failed to connect '3 via E303': Connection requested IPv4 but IPv4 is unsuported by the modem.

Searching for "Connection requested IPv4 but IPv4 is unsuported by the modem" I find three Redhat bugzilla bugs: this one and 
   https://bugzilla.redhat.com/show_bug.cgi?id=1230681
   https://bugzilla.redhat.com/show_bug.cgi?id=1297556
and not much else.

My modem is an Huawei E303 and does not support the AT^SYSCFGEX command, only the AT^SYSCFG which gives this output:
   AT^SYSCFG=?
   ^SYSCFG: (2,13,14,16),(0-3),((2000000400380,"GSM900/GSM1800/WCDMA900WCDMA2100"),(280000,"GSM850/GSM1900"),(3fffffff,"All bands")),(0-2),(0-4)

The downloadable "HUAWEI EM820W HSPA+ PC Embedded Module AT Command Interface Specification-(V100R001_02, English).pdf" specifies ^SYSCGF
    http://download-c.huawei.com/download/downloadCenter?downloadId=14254

Both the OP and me have the SIM PIN enabled, which  is probably uncommon and relevant.

Upon plugging in the USB dongle, ModemManager discovers the modem and puts it in locked state:
   gen 16 17:43:24 p3 ModemManager[3553]: Error while checking ^SYSCFGEX format: Unknown error
   gen 16 17:43:24 p3 ModemManager[3553]: <warn>  couldn't load Supported IP families: 'SIM PIN required'
   gen 16 17:43:24 p3 NetworkManager[653]: <info>  (ttyUSB2): modem state 'locked'

because it doesn't know the pin, but NetworkManager registers the modem:
   gen 16 17:43:24 p3 NetworkManager[653]: <info>  (ttyUSB2): device state change: unmanaged -> unavailable (reason 'none') [10 20 0]
   gen 16 17:43:24 p3 NetworkManager[653]: <info>  (ttyUSB2): modem state 'locked'
   gen 16 17:43:24 p3 NetworkManager[653]: <info>  (ttyUSB2): new Broadband device (carrier: UNKNOWN, driver: 'huawei_cdc_ncm, option1', ifindex: 0)

I do not get any request for the pin, which is IMHO part of the bug, so I enter it via
   $ mmcli -i 2 --pin 1234
which succeeds
   $ mmcli -m 2
      /org/freedesktop/ModemManager1/Modem/2 (device id 'dbba736909a9de18da3fca4e12a996067d17c47f')
      -------------------------
      Hardware |   manufacturer: 'huawei'
               |          model: 'E303'
               |       revision: '21.157.62.00.295'
               |      supported: 'gsm-umts'
               |        current: 'gsm-umts
      ...
      IP       |      supported: 'ipv4, ipv6, ipv4v6'

and cause Network Manager to enable Mobile Broadband, but then fails to connect.

If I restart NetworkManager, now that the modem is unlocked:
   $ systemctl restart network-manager.service
whose log contains:
   gen 16 18:39:28 p3 systemd[1]: Started Network Manager Script Dispatcher Service.
   gen 16 18:39:28 p3 nm-dispatcher[7922]: Dispatching action 'down' for wlan0
   gen 16 18:39:28 p3 NetworkManager[653]: (NetworkManager:653): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion 'instance != NULL && instance->g_class !=
   gen 16 18:39:28 p3 kernel: show_signal_msg: 9 callbacks suppressed
   gen 16 18:39:28 p3 kernel: NetworkManager[653]: segfault at 168 ip 00000000004c39cd sp 00007fff94199850 error 4 in NetworkManager[400000+1bf000]
   gen 16 18:39:32 p3 systemd[1]: NetworkManager.service: Main process exited, code=dumped, status=11/SEGV
   gen 16 18:39:32 p3 systemd[1]: Stopped Network Manager.
   ...
   gen 16 18:39:33 p3 systemd[1]: Started Network Manager.
   ...
   gen 16 18:39:34 p3 NetworkManager[7948]: <info>  (ttyUSB2): new Broadband device (carrier: UNKNOWN, driver: 'huawei_cdc_ncm, option1', ifindex: 0)
   gen 16 18:39:34 p3 NetworkManager[7948]: <info>  (ttyUSB2): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
   gen 16 18:39:34 p3 NetworkManager[7948]: <info>  (ttyUSB2): modem state 'registered'

and now the connection succeeds:
   gen 16 18:39:43 p3 ModemManager[3553]: <info>  Modem /org/freedesktop/ModemManager1/Modem/2: state changed (connecting -> connected)
   gen 16 18:39:43 p3 ModemManager[3553]: <info>  Simple connect state (8/8): All done

I guess Network Manager caches the information read at plug time, and does not notice the update that follows PIN input.

Comment 8 Marco Gamberoni 2016-01-17 12:52:15 UTC
Update.
Without me doing anything, now KDE Daemon ask for the PIN when plugging in the dongle. 
Still getting Network Manager to establish a connection requires 
    systemctl restart network-manager.service
after PIN unlocking to work around this error:

   gen 17 13:23:40 p3 NetworkManager[19545]: <warn>  (ttyUSB2): Failed to connect '3 via modem USB': Connection requested both IPv4 and IPv6 but dual-stack addressing is unsupported by the modem.

Please notice that both the two Huawei devices 3131 and E303 referenced in this bug use the CDC NCM Huawei specific kernel module "huawei_cdc_ncm". 
There is no pppd running when connected, these modems provide an ethernet over usb interface.

Comment 9 GroovieMan 2016-01-17 19:52:23 UTC
This also happened to my system, after i enabled
the ModemManager via 

 systemctl enable ModemManager
 systemctl start ModemManager

Comment 10 Fedora End Of Life 2016-07-19 19:12:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.